# eric4.Plugins.WizardPlugins.QRegExpWizard.QRegExpWizardCharactersDialog

Module implementing a dialog for entering character classes.

### Global Attributes

None

### Classes

QRegExpWizardCharactersDialog | Class implementing a dialog for entering character classes.

### Functions

None

## QRegExpWizardCharactersDialog

Class implementing a dialog for entering character classes.

### Derived from

QDialog, Ui_QRegExpWizardCharactersDialog

### Class Attributes

predefinedClasses
specialChars

### Class Methods

None

### Methods

QRegExpWizardCharactersDialog | Constructor
__addRangesLine | Private slot to add a line of entry widgets for character ranges.
__addSinglesLine | Private slot to add a line of entry widgets for single characters.
__formatCharacter | Private method to format the characters entered into the dialog.
__performSelectedAction | Private method performing some actions depending on the input.
__rangesCharTypeSelected | Private slot to handle the activated(int) signal of the char ranges combo boxes.
__singlesCharTypeSelected | Private slot to handle the activated(int) signal of the single chars combo boxes.
getCharacters | Public method to return the character string assembled via the dialog.

### Static Methods

None

#### QRegExpWizardCharactersDialog (Constructor)

QRegExpWizardCharactersDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

#### QRegExpWizardCharactersDialog.__addRangesLine

__addRangesLine()

Private slot to add a line of entry widgets for character ranges.

#### QRegExpWizardCharactersDialog.__addSinglesLine

__addSinglesLine()

Private slot to add a line of entry widgets for single characters.

#### QRegExpWizardCharactersDialog.__formatCharacter

__formatCharacter(index, char)

Private method to format the characters entered into the dialog.

index
  selected list index (integer)
char
  character string enetered into the dialog (string)

Returns:
  formated character string (string)

#### QRegExpWizardCharactersDialog.__performSelectedAction

__performSelectedAction(index, lineedit)

Private method performing some actions depending on the input.

index
  selected list index (integer)
lineedit
  line edit widget to act on (QLineEdit)

#### QRegExpWizardCharactersDialog.__rangesCharTypeSelected

__rangesCharTypeSelected(index)

Private slot to handle the activated(int) signal of the char ranges combo boxes.

index
  selected list index (integer)

#### QRegExpWizardCharactersDialog.__singlesCharTypeSelected

__singlesCharTypeSelected(index)

Private slot to handle the activated(int) signal of the single chars combo boxes.

index
  selected list index (integer)

#### QRegExpWizardCharactersDialog.getCharacters

getCharacters()

Public method to return the character string assembled via the dialog.

Returns:
  formatted string for character classes (string)

Up